### Method

# WPEPlatform View set_gesture_controller

#### Declaration [src]

    void
    wpe_view_set_gesture_controller (
      WPEView* view,
      WPEGestureController* controller
    )

#### Description [src]

Set `controller` as `WPEGestureController` of `view`. When supplied with `NULL`, the default `WPEGestureController` will be removed and thus default gesture handling will be disabled for the `view`.

#### Parameters

`controller`

  Type: `WPEGestureController`

  A `WPEGestureController`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.